MaxFractionalMatching< GR, TR >::SetStandardElevator< T > Struct Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
MaxFractionalMatching< GR, TR >::SetStandardElevator< T > Struct Template Reference

## Detailed Description

### template<typename GR, typename TR>
template<typename T>
struct lemon::MaxFractionalMatching< GR, TR >::SetStandardElevator< T >

Named parameter for setting Elevator type with automatic allocation. The Elevator should have standard constructor interface to be able to automatically created by the algorithm (i.e. the graph and the maximum level should be passed to it). However an external elevator object could also be passed to the algorithm with the elevator() function before calling run() or init().

See Also
  SetElevator

`#include <lemon/fractional_matching.h>`

Inheritance diagram for MaxFractionalMatching< GR, TR >::SetStandardElevator< T >:
[legend]

## Additional Inherited Members
Public Types inherited from MaxFractionalMatching< Graph, SetStandardElevatorTraits< T > >
typedef SetStandardElevatorTraits< T > | Traits
| The traits class of the algorithm.
typedef SetStandardElevatorTraits< T > ::Graph | Graph
| The type of the graph the algorithm runs on.
typedef SetStandardElevatorTraits< T > ::MatchingMap | MatchingMap
| The type of the matching map.
typedef SetStandardElevatorTraits< T > ::Elevator | Elevator
| The type of the elevator.
Public Member Functions inherited from MaxFractionalMatching< Graph, SetStandardElevatorTraits< T > >
| MaxFractionalMatching (const Graph &graph, bool allow_loops=true)
| Constructor. More...
MaxFractionalMatching & | matchingMap (MatchingMap &map)
| Sets the matching map. More...
MaxFractionalMatching & | elevator (Elevator &elevator)
| Sets the elevator used by algorithm. More...
const Elevator & | elevator () const
| Returns a const reference to the elevator. More...
const MatchingMap & | matchingMap () const
| Returns a const reference to the matching map. More...
int | matchingSize () const
| Return the number of covered nodes in the matching. More...
int | matching (const Edge &edge) const
| Return `true` if the given edge is in the matching. More...
Arc | matching (const Node &node) const
| Return the fractional matching arc (or edge) incident to the given node. More...
bool | barrier (const Node &node) const
| Returns true if the node is in the barrier. More...
void | init ()
| Initializes the internal data structures. More...
void | start (bool postprocess=true)
| Starts the algorithm and computes a fractional matching. More...
bool | startPerfect (bool postprocess=true)
| Starts the algorithm and computes a perfect fractional matching. More...
void | run (bool postprocess=true)
| Runs the algorithm. More...
bool | runPerfect (bool postprocess=true)
| Runs the algorithm to find a perfect fractional matching. More...
Static Public Attributes inherited from MaxFractionalMatching< Graph, SetStandardElevatorTraits< T > >
static const int | primalScale
| Scaling factor for primal solution. More...